GuidesRecipesAPI ReferenceChangelog
API Reference

Create ExternalWallet

Create an ExternalWallet.

Wallet creation

External Wallets can be created for a Bank or a Customer.

To create a wallet for your Bank, omit the customer_guid parameter in the request body. To create a wallet for your Customers, include the customer_guid parameter in the request body.

State

StateDescription
storingThe Platform is storing the external wallet details in our private store
pendingThe Platform is waiting for the external wallet to be created
reviewingThe Platform is reviewing the external wallet for compliance
completedThe Platform has created the external wallet
failedThe Platform was not able to successfully create the external wallet
deletingThe Platform is deleting the external wallet
deletedThe Platform has deleted the external wallet

Failure Codes

CodeDescription
invalid_addressThe provided wallet address is invalid
prohibited_addressThe provided wallet address failed screening

External wallets can be added to the bank by leaving the customer_guid blank. External wallets added to the bank can be used by any customer of the bank.

External wallets can also be added to a specific customer by providing the customer_guid. External wallets added to a customer can only be used by that customer.

Required scope: external_wallets:execute

Body Params
string
required
length between 1 and 128

Name of the external wallet.

string | null

The customer identifier.

string | null

The counterparty identifier.

string
required
length between 1 and 16

The asset code.

string
required
length ≤ 1024

The blockchain wallet address for the wallet.

string | null

The blockchain tag to use when transferring crypto to the wallet.

expected_behaviours
array of strings | null

The optional expected behaviour to simulate. Only applicable wallets under sandbox banks.

expected_behaviours
Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json